WEBINARSandboxes for AI agents, Oct 7th.Sandboxes: give your AI agents a real machine. Live on October 7th.Register free

Jev

View as Markdown
  • PATCH
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions
  • /:action_id

Update Jev action configuration

Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.

Request

REQUIRED SCOPES
PIPELINE_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

action_idrequiredinteger
The ID of the action

Example: 456

BODY PARAMETERS
typerequiredstring
The type of the action

Value: JEV

after_action_idinteger
The numerical ID of the action, after which this action should be added
namerequiredstring
The name of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
loopstring[]
The list of commands that will be executed in a loop
current_revisionstring
The git revision of the last successful run of the action
integrationrequiredTypeSafeIntegrationRef
TypeSafe integration (TYPESAFE)
questionrequiredstring
The question to answer
question_typerequiredstring enum
The type of the answer. One of SCORE, CHOICE, BOOLEAN
Allowed enum:
SCORE,
CHOICE,
BOOLEAN
modelstring
The Jev model to use. Defaults to jev-latest
staterequiredJevStateView[]
The context Jev answers about. Each entry is inline text or the content of a file read from the pipeline filesystem or the repository
criteriaobject
The possible answers, by key. For SCORE the order defines the scale and 2 to 10 entries are allowed, for CHOICE 2 to 255. Used with SCORE and CHOICE
true_whenstring
When the answer is true. Used with BOOLEAN
false_whenstring
When the answer is false. Used with BOOLEAN

Response

RESPONSE BODY
typestring
The type of the action

Value: JEV

urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the action
namestring
The name of the action
current_revisionstring
The git revision of the last successful run of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
last_execution_statusstring enum
The status of the last run of the action
Allowed enum:
INPROGRESS,
ENQUEUED,
TERMINATED,
SUCCESSFUL,
FAILED,
INITIAL,
NOT_EXECUTED,
SKIPPED,
TERMINATING,
WAITING_FOR_APPLY,
WAITING_FOR_VARIABLES,
WAITING_FOR_SETTABLE_VARIABLES,
WAITING_FOR_VT_SESSION
pipelineShortPipelineView
Short representation of a pipeline
permissionsPermissionsView
Access permissions configuration
loopstring[]
The list of commands that will be executed in a loop
integrationIntegrationIdentifierView
The integration used by the action
questionstring
The question to answer
question_typestring enum
The type of the answer. One of SCORE, CHOICE, BOOLEAN
Allowed enum:
SCORE,
CHOICE,
BOOLEAN
modelstring
The Jev model to use. Defaults to jev-latest
stateJevStateView[]
The context Jev answers about. Each entry is inline text or the content of a file read from the pipeline filesystem or the repository
criteriaobject
The possible answers, by key. For SCORE the order defines the scale and 2 to 10 entries are allowed, for CHOICE 2 to 255. Used with SCORE and CHOICE
true_whenstring
When the answer is true. Used with BOOLEAN
false_whenstring
When the answer is false. Used with BOOLEAN

Last modified on Sep 28, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Assess deployment risk", "type": "JEV", "trigger_time": "ON_EVERY_EXECUTION", "state": [ { "type": "INLINE", "value": "Commit: $BUDDY_RUN_COMMIT_MESSAGE" }, { "type": "FILE", "value": "CHANGELOG.md" } ], "question": "How risky is this change to deploy?", "question_type": "SCORE", "model": "jev-1.13.0", "criteria": { "none": "Touches only documentation or comments", "low": "Touches application code covered by tests", "high": "Touches database migrations or public API contracts" }, "integration": { "identifier": "our-typesafe" } }'
STATUS
200 OK